{% extends 'base.html.twig' %}

{% block title %}Category index{% endblock %}

{% block body %}
    <h1>Index des catégories</h1>
        <table class="table">
            <thead>
                <tr>
                    <th>Id</th>
                    <th>Nom de catégory</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
            {% for category in categories %}
                <tr>
                    <td>{{ category.id }}</td>
                    <td>{{ category.nameCategory }}</td>
                    <td>
                        <a href="{{ path('app_category_show', {'id': category.id}) }}">Afficher</a>
                        <a href="{{ path('app_category_edit', {'id': category.id}) }}">Éditer</a>
                        <a href="{{ path('app_category_delete', {'id': category.id}) }}">Suprimer</a>
                    </td>
                </tr>
            {% else %}
                <tr>
                    <td colspan="3">Aucun enregistrement trouvé</td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
        <a href="{{ path('app_category_new') }}">Créer nouveau</a>
{% endblock %}